package edu.thi.phga.aparapi_test;

import com.aparapi.Kernel;
import com.aparapi.Range;

public class FindPrimesOpenCL {
  private static final int N = 10_000_000;
  private static final int START = 123_456_789;
  private static boolean[] istPrime = new boolean[N];

  public static void start() {
    //
    Range r = Range.create(Devices.selectDevice(), N, 250);
    Kernel k = new FindPrimesKernel(START, istPrime);
    k.execute(r);

    k.execute(r);

    int a = 0;
    for (var b : istPrime) {
      if (b) {
        a++;
      }
    }
    System.out.println("OpenCL: " + k.getExecutionTime() + " ms: " + a);
  }

}
