package edu.thi.phga.aparapi_test;

import com.aparapi.device.Device;

public class OpenCLGetMemoryInfo {
  public static void getInfo() {
    int localMem = (int) App.device.getLocalMemSize();
    int maxAlloc = (int) App.device.getMaxMemAllocSize();
    int maxWISize1 = (int) App.device.getMaxWorkItemSize()[0];
    int maxWISize2 = (int) App.device.getMaxWorkItemSize()[1];
    int maxWISize3 = (int) App.device.getMaxWorkItemSize()[2];
    int maxWGSize = App.device.getMaxWorkGroupSize();
    int localSize = Math.min(maxWGSize, localMem / 4);

    System.out.printf("LocalMemsize: %d KB\nMaxMemAlloc: %dMB\n" +
      "MaxWorkItemSizes Dim(1,2,3): %d, %d, %d\nMax-WGSize: %d\nLocalSize: %d\n",
      localMem / 1024, maxAlloc / 1024 / 1024, maxWISize1, maxWISize2, maxWISize3, maxWGSize, localSize);

  }
}
