package edu.thi.phga.aparapi_test;

public class FindPrimes {
  private static final int N = 10_000_000;
  private static int START = 123_456_789;
  private static boolean[] istPrime = new boolean[N];

  public static void start() {
    long t1 = System.nanoTime();
    primeTest();
    long t2 = System.nanoTime();

    int a = 0;
    for (var b : istPrime) {
      if (b) {
        a++;
      }
    }

    System.out.println("Single: " + (t2 - t1) / 1000000 + " ms: " + a);

  }

  private static void primeTest() {
    for (int z = START, i = 0; i < N; z += 2, i++) {
      int teiler = 3;

      while(z > teiler * teiler && z % teiler != 0){
        teiler += 2;
      }

      istPrime[i] = z % teiler != 0;
    }
  }
}
